/*
 * klapacz.h
 *
 *  Created on: 07-04-2014
 *      Author: Krzysztof Jakubczyk
 */

#ifndef PROG_CZAS_H_
#define PROG_CZAS_H_

#include "tdefs.h"

struct prog_czas_logic
{
	struct binary_io pon; // one bit
	struct binary_io wt; // one bit
	struct binary_io sr; // one bit
	struct binary_io czw; // one bit
	struct binary_io pt; // one bit
	struct binary_io sob; // one bit
	struct binary_io niedz; // one bit
};

struct prog_czas_io
{
	
	u32 pon; // one bit
	u32 wt; // one bit
	u32 sr; // one bit
	u32 czw; // one bit
	u32 pt; // one bit
	u32 sob; // one bit
	u32 niedz; // one bit
	
}__attribute__((__packed__));

struct prog_czas_params
{
}__attribute__((__packed__));

struct prog_czas_args
{
	struct prog_czas_io io;
	struct prog_czas_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void prog_czas(void *args, void *logic);
extern int prog_czas_initlog(void *args, void *logic);

#endif /* PROG_CZAS_H_ */
